Bug 17808 - infinite pppd loop using plugin or per-user options
infinite pppd loop using plugin or per-user options
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: ppp (Show other bugs)
1.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-24 05:54 EDT by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-02 01:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to prevent infinite loop in options_from_list() routine (342 bytes, patch)
2000-09-24 05:56 EDT, Michael Tokarev
no flags Details | Diff

  None (edit)
Description Michael Tokarev 2000-09-24 05:54:54 EDT
2.3.11 (or earlier?) introduced 'plugin' option, and one of hooks
plugins can define is 'pap_auth_hook' that can return a wordlist of
additional options for this particular user.  This is relly very
good and useful feature, as there is at least some demand on having
separate options for each (group of) user.  But if that hook sets up
option list, pppd will loop forever eating 100% cpu and ignoring signals
(except -9), and sitting "on line" with tty opened, preventing this line
to be dialed in.  I quickly made my dial-in server unusable when all
16 modem lines was locked by looped pppd, thus preventing any dial-in...
Ok, fix is trivial, it is in `options_from_list()' routine -- it checks
the first option again and again wihout jumping to next one...
As such, this routine was _never_ checked/executed by author/testers/users!

I'll not forward this report/fix to pppd author, as it is useless.
He just ignores any letters sent to him (as I can guess) -- I sent many,
many bugreports to him without any responce...

BTW, does anybody knows where is a current home for pppd?
I saw 2.4.0 pre/beta somewhere, but it is not in usual location...

P.S.  I see that RedHat also isn't very "responsible" for ppp package... :(
Comment 1 Michael Tokarev 2000-09-24 05:56:04 EDT
Created attachment 3523 [details]
patch to prevent infinite loop in options_from_list() routine
Comment 2 Michael Tokarev 2000-09-24 05:59:46 EDT
Changed severity to high (may be wrong) -- that bad situation I had with my
dial-in server shouldn't be repeated...
Comment 3 Nalin Dahyabhai 2000-10-02 01:55:07 EDT
The current home for pppd is ftp://linuxcare.com.au/pub/ppp/.
Comment 4 Michael Tokarev 2001-08-06 15:36:40 EDT
Fixed in mainstream (probably in 2.4.0 version or so)

Note You need to log in before you can comment on or make changes to this bug.